Subject: Digest Headers: digest-algorithms "last call"

From: Roberto Polli <[email-masked]>
Date: Mon, 28 Dec 2020 16:37:34 +0100

Hi @all,

New Year's Eve is approaching and it's time to close a couple of quick wins
for Digest headers, specifically:

## Deprecation of non-crypto algorithms

The deprecation of `sum`, `cksum`, and `unixcksum`.

See:
- https://github.com/httpwg/http-extensions/issues/1138
- https://github.com/httpwg/http-extensions/issues/1139

I have no strong opinion, so have your say.

## Reserve the `id-` prefix  for digest-algorithms

I think this should better suit this other I-D
- https://www.ietf.org/archive/id/draft-polli-id-digest-algorithms-01.html

After we decide, I'd like to reorder algorithms from the more secure
to the less secure.

Have a nice day,
R.